import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
public class MyWorld extends World
{
    //Ints for the world dimensions and new Guy declaration/instantiation.
    int x = getWidth();
    int y = getHeight();
    Guy guy = new Guy();
    public MyWorld()
    {
        super(1200, 700, 1);
        //If statement to switch back to the title screen instead of starting on this screen.
        if(Title.title == 0)
           Greenfoot.setWorld(new Title());
        Title.title = 0;
        place();
    }
    /**
     * Checks to make sure the game starts at the title screen instead of the game screen.*/
    public void act()
    {
        if(Greenfoot.isKeyDown("m")) {
           Title.title = 0;
           Greenfoot.setWorld(new Title()); }
    }
    /**
     * Ints and loops to place the benches, trees, pedestrians, and playable character.*/
    public void place()
    {
        int xx = 70;
        int yy = 90;
        for(int m = 0; m < 5; m++) {
            addObject(new Tree(), xx, yy);
            yy+=130; }
        int xX = 1130;
        int yY = 90;
        for(int h = 0; h < 5; h++) {
            addObject(new Tree(), xX, yY);
            yY+=130; }
        addObject(new Bench(), x/2, 250);
        addObject(new Bench(90), 200, 100);
        addObject(new Bench(90), 1000, 600);
        /**
         * Change ped spawn num to 15 when done.
         */
        for(int n = 0; n < 2; n++)
            addObject(new Pedestrian(), x/2, 2 * y/3);
        addObject(guy, x/2, y/2);
    }
}
