import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
public class Pedestrian extends Character
{
    //Images for the walk animation.
    public GreenfootImage ped = new GreenfootImage("guy still orange.png");
    public GreenfootImage ped2 = new GreenfootImage("guy still orange.png");
   
    public GreenfootImage pedBetween = new GreenfootImage("guy between orange.png");
    public GreenfootImage pedBetween2 = new GreenfootImage("guy between2 orange.png");
   
    public GreenfootImage ha1 = new GreenfootImage("ha1.png");
    public GreenfootImage ha2 = new GreenfootImage("ha2.png");
    public GreenfootImage ha3 = new GreenfootImage("ha3.png");
    
    public int haTimer;
    public boolean isMoving; //Boolean to check if the actor is currently moving.
    public int walkTimer; //Timer int for the walking animation.
    public int num; //Random number for the actor movement.
    
    Actor actor; //Actor to check if an actor is intersecting with an object.
    public Pedestrian()
    {
        num = Greenfoot.getRandomNumber(101);
    }
    public void act() 
    {
        move();
        walkCycle();
        if(isTouching(Pedestrian.class) && Guy.isAlive == false) {
            // Guy.jumpScare();
            
        }
    }
    public void move()
    {
        int x = getX();
        int y = getY();
        if(num < 10) {
            if(num % 4 == 0) {
                setRotation(270);
                setLocation(getX()-3, getY());
                walkCycle();
                isMoving = true;
                actor = getOneIntersectingObject(Object.class);
                if(isTouching(Object.class) && actor != null)
                    setLocation(x, y);}
            else if(num % 4 == 1) {
                setRotation(90);
                setLocation(getX()+3, getY());
                walkCycle();
                isMoving = true;
                actor = getOneIntersectingObject(Object.class);
                if(isTouching(Object.class) && actor != null)
                    setLocation(x, y);}
            else if(num % 4 == 2) {
                setRotation(0);
                setLocation(getX(), getY()-3);
                walkCycle();
                isMoving = true;
                actor = getOneIntersectingObject(Object.class);
                if(isTouching(Object.class) && actor != null)
                    setLocation(x, y);}
            else if(num % 4 == 3){
                setRotation(180);
                setLocation(getX(), getY()+3);
                walkCycle();
                isMoving = true;
                actor = getOneIntersectingObject(Object.class);
                if(isTouching(Object.class) && actor != null)
                    setLocation(x, y);}
            num = Greenfoot.getRandomNumber(101);}
        else {
            num = Greenfoot.getRandomNumber(101);
            move(3);
            isMoving = true;
            actor = getOneIntersectingObject(Object.class);
            if(isTouching(Object.class) && actor != null)
                setLocation(x, y);}
    }
    /**
     * Nested if statements to switch images for the walking animation.*/
    public void walkCycle()
    {
        if(walkTimer == 13 && isMoving == true) {
            if(getImage() == ped)
                setImage(pedBetween);
            else if(getImage() == pedBetween)
                setImage(ped2);
            else if(getImage() == ped2)
                setImage(pedBetween2);
            else
                setImage(ped);
            walkTimer = 0; }
        else
            walkTimer++;
    }
    public void heartAttack()
    {
        if(haTimer == 10)
            this.setImage(ha1);
        else if(haTimer == 14)
            this.setImage(ha2);
        else if(haTimer == 18)
            this.setImage(ha3);
        else
            haTimer++;
    }
}