/**
 * Sound FX
 */

import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.util.List;
public class Guy extends Character
{
    //Images for the walk animation and jump scare.
    public GreenfootImage guy = new GreenfootImage("guy still.png");
    public GreenfootImage guy2 = new GreenfootImage("guy still.png");
    public GreenfootImage guyBetween = new GreenfootImage("guy between.png");
    public GreenfootImage guyBetween2 = new GreenfootImage("guy between2.png");
    public GreenfootImage js1 = new GreenfootImage("js 1.png");
    public GreenfootImage js2 = new GreenfootImage("js2.png");
    public boolean isMoving;
    public static boolean j;
    Actor actor;
    int speed = 3;
    
    public GreenfootImage ha1 = new GreenfootImage("ha1.png");
    public GreenfootImage ha2 = new GreenfootImage("ha2.png");
    public GreenfootImage ha3 = new GreenfootImage("ha3.png");
    
    public int haTimer;
    public static boolean isAlive;
    public void act()
    {
        move();
        if(j == true)
            jumpScare();
    }
    public Guy()
    {
        setImage(guy);
        isMoving = false;
        j = true;
    }
    /**
     * Uses nested if statements to allow the player to move around the map
     * using the arrow keys or 'wasd'.*/
    public void move()
    {
        int x = getX();
        int y = getY();
        if(Greenfoot.isKeyDown("left") || Greenfoot.isKeyDown("A")) {
            setRotation(270);
            setLocation(getX()-speed, getY());
            walkCycle();
            isMoving = true;
            actor = getOneIntersectingObject(Object.class);
            if(isTouching(Object.class) && actor != null)
                setLocation(x, y);}
        if(Greenfoot.isKeyDown("right") || Greenfoot.isKeyDown("D")) {
            setRotation(90);
            setLocation(getX()+speed, getY());
            walkCycle();
            isMoving = true;
            actor = getOneIntersectingObject(Object.class);
            if(isTouching(Object.class) && actor != null)
                setLocation(x, y);}
        if(Greenfoot.isKeyDown("up") || Greenfoot.isKeyDown("W")) {
            setRotation(0);
            setLocation(getX(), getY()-speed);
            walkCycle();
            isMoving = true;
            actor = getOneIntersectingObject(Object.class);
            if(isTouching(Object.class) && actor != null)
                setLocation(x, y);}
        if(Greenfoot.isKeyDown("down") || Greenfoot.isKeyDown("S")) {
            setRotation(180);
            setLocation(getX(), getY()+speed);
            walkCycle();
            isMoving = true;
            actor = getOneIntersectingObject(Object.class);
            if(isTouching(Object.class) && actor != null)
                setLocation(x, y);}
    }
    /**
     * Cycles through the walking images using nested if statements.*/
    public void walkCycle()
    {
        int walkTimer = 0;
        if(walkTimer == 12 && isMoving == true) {
            if(getImage() == guy)
                setImage(guyBetween);
            else if(getImage() == guyBetween)
                setImage(guy2);
            else if(getImage() == guy2)
                setImage(guyBetween2);
            else
                setImage(guy);
            walkTimer = 0; }
        else
            walkTimer++;
    }
    public void jumpScare()
    {
        // int jsTimer = 0;
        // if(Greenfoot.isKeyDown("Space")) {
            // if(jsTimer == 8)
                // setImage(js1);
            // else if(jsTimer == 12)
                // setImage(js2);
            // else
                // jsTimer++;
            // j = false;
        // }
        
        // List<Pedestrian> peds = getObjectsInRange(50, Pedestrian.class);
        // for(Pedestrian pedestrians: peds) {
            // if(haTimer == 10)
                // this.setImage(ha1);
            // else if(haTimer == 14)
                // this.setImage(ha2);
            // else if(haTimer == 18)
                // this.setImage(ha3);
            // else
                // haTimer++;
            // isAlive = false;
        // }
        
        
    }
}
